﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;
using Telerik.Windows.Controls.ScheduleView;

namespace ScheduleViewWPF
{
    public class PassedSlot : Slot
    {
        public Brush SlotColor { get; set; }

        public string Description { get; set; }

        public PassedSlot()
        {
            this.SlotColor = new SolidColorBrush(Colors.Red);
        }

        public override Slot Copy()
        {
            Slot slot = new PassedSlot();
            slot.CopyFrom(this);
            return slot;
        }

        public override void CopyFrom(Slot other)
        {
            var otherSlot = other as PassedSlot;
            if (otherSlot != null)
            {
                this.SlotColor = otherSlot.SlotColor;
                this.Description = otherSlot.Description;
                base.CopyFrom(otherSlot);
            }
        }
    }
}